<script>

    jQuery(function () {
    jQuery('#error').click(function () {
        // make it not dissappear
        toastr.error("Noooo oo oo ooooo!!!", "Title", {
            "timeOut": "0",
            "extendedTImeout": "0"
        });
    });
    jQuery('#info').click(function () {
   		// title is optional
        toastr.info("UPDATED SUCCESSFULLY",);
    });
    jQuery('#warning').click(function () {
        toastr.warning("DELETED SUCCESSFULLY");
    });
    jQuery('#success').click(function () {
        toastr.success("SAVED SUCCESSFULLY");
    });

    jQuery('#danger').click(function () {
        toastr.danger("DELETED SUCCESSFULLY");
    });
});


</script>



    <div class="container" ng-show="tablevisible">

        <div class="jumbotron">

            <!--<div class="title_right">-->
                <div class="col-md-3 col-sm-3 col-xs-8 form-group pull-right top_search">
                    <div class="input-group">
                        <input type="text" class="form-control" placeholder="Search for..." ng-model="searchtext">
                        <span class="input-group-btn">
                      <button class="btn btn-default" type="button">Go!</button>
                    </span>
                    </div>
                </div>
            <!--</div>-->


         <!--<form class="search">
        <input type="text" name="search" placeholder="Search.." ng-model="searchtext">
    </form>-->
    <button ng-click="showhide()" class="w3-button w3-green w3-border">Add New&nbsp;<i class="fa fa-plus" aria-hidden="true"></i></button>
         <div class="mystyle">
         <button data-ng-click="exportAction('csv')"class="w3-button w3-indigo" style="margin-left:50px;"> CSV</button>
         <button data-ng-click="exportAction('excel')"class="w3-button  w3-indigo">Excel</button>
         <button data-ng-click="exportAction('doc')"class="w3-button  w3-indigo">  Doc</button>
         <button data-ng-click="exportAction('pdf')"class="w3-button  w3-indigo"> Pdf</button><br><br>
         </div>
    <div class="text-center">

    <table class="table table-striped table-bordered" class="export-table">
        <!--{{clientDetails.detailsArray}}-->

        <thead>
        <tr>
            <th ng-repeat="formhead in clientJsonConfig" ng-if="formhead.name!=='Details'">{{formhead.name}}</th>

            <th>action</th>

        </tr>
        </thead>

        <tbody>
        <tr dir-paginate="client in clientDetails.detailsArray|filter:searchtext|itemsPerPage:5">
        <tr ng-repeat="client in clientDetails.detailsArray|filter:searchtext">
            <!--{{client}}-->
            <td ng-repeat="(key, value) in client track by $index"  ng-if="key!=='__v'&&key!='_id'&&key!=='Details'" >{{gettingvalue(value,key)}}</td>

            <td class="text-center">
                <a class='btn btn-info btn-xs'
                   ng-click="getClientDetailsById(client)">
                    <span class="glyphicon glyphicon-edit" ></span> Edit
                </a>


                <a class="btn btn-danger btn-xs" data-toggle="modal" ng-click="setClientDetailsIdFroDelete(client._id)"  data-target="#myModal">
                        <span class="glyphicon glyphicon-remove">
                        </span> Del</a></td>

        </tr>
        </tbody>

    </table>
    </div>

            <dir-pagination-controls class="paging"
                    max-size="2"
                    direction-links="true"
                    boundary-links="true">
            </dir-pagination-controls>


</div>

    </div>

    <div class="modal fade" id="myModal" role="dialog">

            <!-- Modal content-->
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">Confirm Deletion</h4>
                </div>
                <div class="modal-body">
                    <p>Are you sure you want to delete this item ?</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal" id="btnClose">Close</button>
                    <button type="submit" class="btn btn-default" ng-click="deleteClientDetails(clientDetails.mongodbIdForDelete)" id="warning">
                        Delete</button>

                </div>
            </div>

        </div>


    <!--edit copy form-->
    <!--<div class="container" ng-show="formvisible">
    <div class="jumbotron text-center">
-->


    <div class="row" ng-show="formvisible">
        <div class="col-md-12 col-sm-12 col-xs-12">
            <div class="x_panel">
                <div class="x_title">
                    <h2>company structure <small>admin</small></h2>
                    <div class="clearfix"></div>
                </div>
                <div class="x_content">
                    <br />

        <json-from json-config=clientJsonConfig></json-from>
        <!--{{clientJsonConfig}}-->
        {{jsonConfig}}
                    <div class="ln_solid"></div>

                    <div class="form-group">
            <div class="col-sm-offset-6 col-sm-4">
                <button type="close" class="btn " ng-click="showhide()"><i class="fa fa-times" aria-hidden="true" ng-click="showhide()"></i>close</button>
                <button type="submit" class="btn btn-primary" id="success" ng-click="saveClient(clientJsonConfig)"><i class="fa fa-floppy-o" aria-hidden="true">save</i></button>
            </div>
        </div>
    </div>
        </form>
        </div>
        </div>
    </div>


    <!--<div class="container" ng-show="form2visible">
    <div class="jumbotron text-center">-->

    <div class="row" ng-show="form2visible">
        <div class="col-md-12 col-sm-12 col-xs-12">
            <div class="x_panel">
                <div class="x_title">
                    <h2>company structure <small>admin</small></h2>
                    <div class="clearfix"></div>
                </div>
                <div class="x_content">
                    <br />

        <edit-from json-config="clientEditJsonConfig"></edit-from>
                    <div class="ln_solid"></div>

                    <div class="form-group">
            <div class="col-sm-offset-6 col-sm-4">
                <button type="close" class="btn " ng-click="showhide2()"><i class="fa fa-times" aria-hidden="true">close</i></button>
                <button type="submit" class="btn btn-primary" id="info" ng-click="updateClientDetailsToDb(clientEditJsonConfig)">
                Update</button>
                <!--<button type="submit" class="btn btn-primary"  ng-click="updateClientDetailsToDb(clientEditJsonConfig)">-->
                    <!--Update</button>-->
            </div>
        </div>
        </form>
    </div>
</div>
        </div>
    </div>






